Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
backlinks
/
page_intersection
/
live
Page Intersection
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/backlinks/page_intersection/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "targets": {},
  "exclude_targets": [
    "<string>"
  ],
  "backlinks_status_type": "<string>",
  "filters": [
    "<string>"
  ],
  "order_by": [
    "<string>"
  ],
  "offset": 123,
  "limit": 123,
  "internal_list_limit": 123,
  "include_subdomains": true,
  "include_indirect_links": true,
  "exclude_internal_backlinks": true,
  "intersection_mode": "<string>",
  "rank_scale": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.targets": {},
  "tasks.result.total_count": 123,
  "tasks.result.items_count": 123,
  "tasks.result.items": [
    "<string>"
  ],
  "tasks.result.page_intersection": {},
  "tasks.result.page_intersection.1": [
    "<string>"
  ],
  "tasks.result.page_intersection.1.type": "<string>",
  "tasks.result.page_intersection.1.domain_from": "<string>",
  "tasks.result.page_intersection.1.url_from": "<string>",
  "tasks.result.page_intersection.1.url_from_https": true,
  "tasks.result.page_intersection.1.domain_to": "<string>",
  "tasks.result.page_intersection.1.url_to": "<string>",
  "tasks.result.page_intersection.1.url_to_https": true,
  "tasks.result.page_intersection.1.tld_from": "<string>",
  "tasks.result.page_intersection.1.is_new": true,
  "tasks.result.page_intersection.1.is_lost": true,
  "tasks.result.page_intersection.1.backlink_spam_score": 123,
  "tasks.result.page_intersection.1.rank": 123,
  "tasks.result.page_intersection.1.page_from_rank": 123,
  "tasks.result.page_intersection.1.domain_from_rank": 123,
  "tasks.result.page_intersection.1.domain_from_platform_type": [
    "<string>"
  ],
  "tasks.result.page_intersection.1.domain_from_is_ip": true,
  "tasks.result.page_intersection.1.domain_from_ip": "<string>",
  "tasks.result.page_intersection.1.domain_from_country": "<string>",
  "tasks.result.page_intersection.1.page_from_external_links": 123,
  "tasks.result.page_intersection.1.page_from_internal_links": 123,
  "tasks.result.page_intersection.1.page_from_size": 123,
  "tasks.result.page_intersection.1.page_from_encoding": "<string>",
  "tasks.result.page_intersection.1.page_from_language": "<string>",
  "tasks.result.page_intersection.1.page_from_title": "<string>",
  "tasks.result.page_intersection.1.page_from_status_code": 123,
  "tasks.result.page_intersection.1.first_seen": "<string>",
  "tasks.result.page_intersection.1.prev_seen": "<string>",
  "tasks.result.page_intersection.1.last_seen": "<string>",
  "tasks.result.page_intersection.1.item_type": "<string>",
  "tasks.result.page_intersection.1.attributes": [
    "<string>"
  ],
  "tasks.result.page_intersection.1.dofollow": true,
  "tasks.result.page_intersection.1.original": true,
  "tasks.result.page_intersection.1.alt": "<string>",
  "tasks.result.page_intersection.1.anchor": "<string>",
  "tasks.result.page_intersection.1.text_pre": "<string>",
  "tasks.result.page_intersection.1.text_post": "<string>",
  "tasks.result.page_intersection.1.semantic_location": "<string>",
  "tasks.result.page_intersection.1.links_count": 123,
  "tasks.result.page_intersection.1.group_count": 123,
  "tasks.result.page_intersection.1.is_broken": true,
  "tasks.result.page_intersection.1.url_to_status_code": 123,
  "tasks.result.page_intersection.1.url_to_spam_score": 123,
  "tasks.result.page_intersection.1.url_to_redirect_target": "<string>",
  "tasks.result.page_intersection.1.is_indirect_link": true,
  "tasks.result.page_intersection.1.indirect_link_path": [
    "<string>"
  ],
  "tasks.result.page_intersection.1.indirect_link_path.type": "<string>",
  "tasks.result.page_intersection.1.indirect_link_path.status_code": 123,
  "tasks.result.page_intersection.1.indirect_link_path.url": "<string>",
  "tasks.result.summary": {},
  "tasks.result.summary.intersections_count": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
targets
object
required

domains, subdomains or webpages to get links for required field you can set up to 20 domains, subdomains or webpages a domain or a subdomain should be specified without https:// and www. a page should be specified with absolute URL (including http:// or https://) example: "targets": { "1": "http://planet.postgresql.org/", "2": "http://gborg.postgresql.org/" }

exclude_targets
string[]

domains, subdomains or webpages you want to exclude optional field you can set up to 10 domains, subdomains or webpages if you use this array, results will contain the referring pages that link to targets but don’t link to exclude_targets example: "exclude_targets": [ "bbc.com", "https://www.apple.com/iphone/", "https://dataforseo.com/apis/"]

set what backlinks to return and count optional field you can use this field to choose what backlinks will be returned and used for aggregated metrics for your targets; possible values: all – all backlinks will be returned and counted; live – backlinks found during the last check will be returned and counted; lost – lost backlinks will be returned and counted; default value: live

filters
string[]

array of results filtering parameters optional field you can add several filters at once (8 filters maximum) you should set a logical operator and, or between the conditions the following operators are supported: regex, not_regex, =, , in, not_in, like, not_like, ilike, not_ilike, match, not_match you can use the % operator with like and not_like to match any string of zero or more characters example: ["1.rank",">","80"] [["2.page_from_rank",">","55"], "and", ["1.original","=","true"]] [["1.first_seen",">","2017-10-23 11:31:45 +00:00"], "and", [["1.acnhor","like","%seo%"],"or",["1.text_pre","not_like","%seo%"]]] The full list of possible filters is available here.

order_by
string[]

results sorting rules optional field you can use the same values as in the filters array to sort the results possible sorting types: asc – results will be sorted in the ascending order desc – results will be sorted in the descending order you should use a comma to set up a sorting type example: ["rank,desc"] note that you can set no more than three sorting rules in a single request you should use a comma to separate several sorting rules example: ["domain_from_rank,desc","page_from_rank,asc"]

offset
integer

offset in the results array of the returned backlinks optional field default value: 0 if you specify the 10 value, the first ten backlinks in the results array will be omitted and the data will be provided for the successive backlinks

limit
integer

the maximum number of returned backlinks optional field default value: 100 maximum value: 1000

internal_list_limit
integer

maximum number of elements within internal arrays optional field you can use this field to limit the number of elements within the following arrays: attributes domain_from_platform_type default value: 10 maximum value: 1000

include_subdomains
boolean

indicates if the subdomains of the targets will be included in the search optional field if set to false, the subdomains will be ignored default value: true

indicates if indirect links to the targets will be included in the results optional field if set to true, the results will include data on indirect links pointing to a page that either redirects to a target, or points to a canonical page if set to false, indirect links will be ignored default value: true

indicates if internal backlinks from subdomains to the target will be excluded from the results optional field if set to true, the results will not include data on internal backlinks from subdomains of the same domain as target if set to false, internal links will be included in the result default value: true

intersection_mode
string

indicates whether to intersect backlinks optional field use this field to intersect or merge results for the specified URLs possible values: all, partial all – results are based on all backlinks; partial – results are based on the intersecting backlinks only; default value: all

rank_scale
string

defines the scale used for calculating and displaying the rank, domain_from_rank, and page_from_rank values optional field you can use this parameter to choose whether rank values are presented on a 0–100 or 0–1000 scale possible values: one_hundred — rank values are displayed on a 0–100 scale one_thousand — rank values are displayed on a 0–1000 scale default value: one_thousand learn more about how this parameter works and how ranking metrics are calculated in this Help Center article

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.targets
object

targets from a POST array

tasks.result.total_count
integer

total amount of results relevant the request

tasks.result.items_count
integer

the number of results returned in the items array

tasks.result.items
string[]

contains relevant backlinks and referring domains data

tasks.result.page_intersection
object

contains data on pages that link to the corresponding targets specified in the POST array data is provided in separate objects corresponding to pages specified in the targets object

tasks.result.page_intersection.1
string[]

contains data on a referring page that links to the corresponding target from the POST array field name varies in the range from 1 to 20 according to the number of domains, subdomains or pages in the targets object

tasks.result.page_intersection.1.type
string

type of element = ‘backlinks_page_intersection’

tasks.result.page_intersection.1.domain_from
string

domain referring to the target domain or webpage

tasks.result.page_intersection.1.url_from
string

URL of the page where the backlink is found

tasks.result.page_intersection.1.url_from_https
boolean

indicates whether the referring URL is secured with HTTPS if true, the referring URL is secured with HTTPS

tasks.result.page_intersection.1.domain_to
string

domain the backlink is pointing to

tasks.result.page_intersection.1.url_to
string

URL the backlink is pointing to

tasks.result.page_intersection.1.url_to_https
boolean

indicates if the URL the backlink is pointing to is secured with HTTPS if true, the URL is secured with HTTPS

tasks.result.page_intersection.1.tld_from
string

top-level domain of the referring URL

tasks.result.page_intersection.1.is_new
boolean

indicates whether the backlink is new if true, the backlink was found on the page last time our crawler visited it

tasks.result.page_intersection.1.is_lost
boolean

indicates whether the backlink was removed if true, the backlink or the entire page was removed

spam score of the backlink learn more about how the metric is calculated on this help center page

tasks.result.page_intersection.1.rank
integer

backlink rank rank is calculated based on the method for node ranking in a linked database – a principle used in the original Google PageRank algorithm learn more about the metric and how it is calculated in this help center article

tasks.result.page_intersection.1.page_from_rank
integer

page rank of the referring page page_from_rank is calculated based on the method for node ranking in a linked database – a principle used in the original Google PageRank algorithm learn more about the metric and how it is calculated in this help center article

tasks.result.page_intersection.1.domain_from_rank
integer

domain rank of the referring domain indicates the rank of the domain at the time our crawler last saw the backlink; domain_from_rank is calculated based on the method for node ranking in a linked database – a principle used in the original Google PageRank algorithm learn more about the metric and how it is calculated in this help center article

tasks.result.page_intersection.1.domain_from_platform_type
string[]

platform types of the referring domain possible values: cms, blogs, ecommerce, message-boards, wikis, news, organization

tasks.result.page_intersection.1.domain_from_is_ip
boolean

indicates if the domain is IP if true, the domain functions as an IP address and does not have a domain name

tasks.result.page_intersection.1.domain_from_ip
string

IP address of the referring domain

tasks.result.page_intersection.1.domain_from_country
string

ISO country code of the referring domain

number of external links found on the referring page

number of internal links found on the referring page

tasks.result.page_intersection.1.page_from_size
integer

size of the referring page, in bytes example: 63357

tasks.result.page_intersection.1.page_from_encoding
string

character encoding of the referring page example: utf-8

tasks.result.page_intersection.1.page_from_language
string

language of the referring page in ISO 639-1 format example: en

tasks.result.page_intersection.1.page_from_title
string

title of the referring page

tasks.result.page_intersection.1.page_from_status_code
integer

HTTP status code returned by the referring page example: 200

tasks.result.page_intersection.1.first_seen
string

date and time when our crawler found the backlink for the first time in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

tasks.result.page_intersection.1.prev_seen
string

previous to the most recent date when our crawler visited the backlink in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

tasks.result.page_intersection.1.last_seen
string

most recent date when our crawler visited the backlink in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

tasks.result.page_intersection.1.item_type
string

link type possible values: anchor, image, link, meta, canonical, alternate, redirect

tasks.result.page_intersection.1.attributes
string[]

link attributes of the referring links example: nofollow

tasks.result.page_intersection.1.dofollow
boolean

indicates whether the backlink is dofollow if false, the backlink is nofollow

tasks.result.page_intersection.1.original
boolean

indicates whether the backlink was present on the referring page when our crawler first visited it

tasks.result.page_intersection.1.alt
string

alternative text of the image this field will be null if backlink type is not image

tasks.result.page_intersection.1.anchor
string

anchor text of the backlink

tasks.result.page_intersection.1.text_pre
string

text snippet before the anchor text

tasks.result.page_intersection.1.text_post
string

snippet after the anchor text

tasks.result.page_intersection.1.semantic_location
string

indicates semantic element in HTML where the backlink is found you can get the full list of semantic elements here examples: article, section, summary

number of identical backlinks found on the referring page

tasks.result.page_intersection.1.group_count
integer

indicates total number of backlinks from this domain for example, if mode is set to one_per_domain, this field will indicate the total number of backlinks coming from this domain

tasks.result.page_intersection.1.is_broken
boolean

indicates whether the backlink is broken if true, the backlink is pointing to a page responding with a 4xx or 5xx status code

tasks.result.page_intersection.1.url_to_status_code
integer

status code of the referenced page if the value is null, our crawler hasn’t yet visited the webpage the link is pointing to example: 200

tasks.result.page_intersection.1.url_to_spam_score
integer

spam score of the referenced page if the value is null, our crawler hasn’t yet visited the webpage the link is pointing to learn more about how the metric is calculated on this help center page

tasks.result.page_intersection.1.url_to_redirect_target
string

target url of the redirect target page the redirect is pointing to

indicates whether the backlink is an indirect link if true, the backlink is an indirect link pointing to a page that either redirects to url_to, or points to a canonical page

indirect link path indicates a URL or a sequence of URLs that lead to url_to

indirect link type possible values: redirect, canonical

HTTP status code of the URL

indirect link URL

tasks.result.summary
object

contains the page intersections summary

tasks.result.summary.intersections_count
integer

total number of intersections